<?= $block->getButton() ?>
<script>
    require(["jquery"], function ($) {
        jQuery("#sqrip-refund-button").on("click", function () {
            const form = jQuery("form#edit_form");

            const iban = prompt('Please enter clients IBAN:');

            jQuery("#sqrip-refund-input").appendTo(form);
            jQuery('<input>').attr({
                type: 'hidden',
                name: 'sqrip_refund_iban',
                value: iban
            }).appendTo(form);

            form.submit();
        });
    });
</script>
